Compile with GDAL support?

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Compile with GDAL support?

Jay L.
List, 

Running Opticks 4.10.x.  This was just installed onto a unit wide VM and compiled by IT.  I am not seeing the generic importer and am unable to read ENVI files (.hdr or .img).  Additionally, .vrt files are inaccessible.  Two questions:

1. What additional compile flags might be necessary to enable the generic importer?
2. Is this a result of GDAL not being installed outside of FWTools on the VM?  If so, what compile flags might be needed once a 'traditional' GDAL installation is completed?

Thanks, 
Jay   

------------------------------------------------------------------------------
Own the Future-Intel® Level Up Game Demo Contest 2013
Rise to greatness in Intel's independent game demo contest.
Compete for recognition, cash, and the chance to get your game
on Steam. $5K grand prize plus 10 genre and skill prizes.
Submit your demo by 6/6/13. http://p.sf.net/sfu/intel_levelupd2d
_______________________________________________
Opticks-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/opticks-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Compile with GDAL support?

dadkins
Administrator

Jay,

 

What additional compile flags might be necessary to enable the generic importer?

-- The GDAL Importer should be built by default; there is no flag to disable its compilation.

 

Is this a result of GDAL not being installed outside of FWTools on the VM?  If so, what compile flags might be needed once a 'traditional' GDAL installation is completed?

--The 4.10.X line includes its own GDAL binary so no system installation is necessary.

 

I would recommend checking your Message Log (Tools menu) to see if you are getting errors loading the plug-in libraries.

 

You can also check the Plug-Ins tab of the Session Explorer to see how many plug-ins are listed there.

I do not have the exact number offhand, but a vanilla installation of Opticks should have at least a couple of dozen entries.

If there are fewer than this, chances are that either Opticks was not built correctly or you are getting plug-in load errors.

 

What OS are you using?

 

 

From: Jay L. [mailto:[hidden email]]
Sent: Monday, March 25, 2013 7:24 PM
To: [hidden email]
Subject: [Opticks-users] Compile with GDAL support?

 

List, 

 

Running Opticks 4.10.x.  This was just installed onto a unit wide VM and compiled by IT.  I am not seeing the generic importer and am unable to read ENVI files (.hdr or .img).  Additionally, .vrt files are inaccessible.  Two questions:

 

1. What additional compile flags might be necessary to enable the generic importer?

2. Is this a result of GDAL not being installed outside of FWTools on the VM?  If so, what compile flags might be needed once a 'traditional' GDAL installation is completed?

 

Thanks, 

Jay   


This message and any enclosures are intended only for the addressee.  Please 

notify the sender by email if you are not the intended recipient.  If you are 

not the intended recipient, you may not use, copy, disclose, or distribute this 

message or its contents or enclosures to any other person and any such actions 

may be unlawful.  Ball reserves the right to monitor and review all messages 

and enclosures sent to or from this email address.

------------------------------------------------------------------------------
Own the Future-Intel® Level Up Game Demo Contest 2013
Rise to greatness in Intel's independent game demo contest.
Compete for recognition, cash, and the chance to get your game
on Steam. $5K grand prize plus 10 genre and skill prizes.
Submit your demo by 6/6/13. http://p.sf.net/sfu/intel_levelupd2d
_______________________________________________
Opticks-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/opticks-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Compile with GDAL support?

Jay L.
The OS is Scientific Linux 6.2.  I will check the logs when I can access the internal network (CA timezone) and explore what may have occurred in compilation.

The reason for compiling was an issue with getting Python2.6 working with this OS.  I guess it was not in a repo.  Not my domain, but what I understand the problem to be.

On Tue, Mar 26, 2013 at 5:33 AM, Adkins, Dustan <[hidden email]> wrote:

Jay,

 

What additional compile flags might be necessary to enable the generic importer?

-- The GDAL Importer should be built by default; there is no flag to disable its compilation.

 

Is this a result of GDAL not being installed outside of FWTools on the VM?  If so, what compile flags might be needed once a 'traditional' GDAL installation is completed?

--The 4.10.X line includes its own GDAL binary so no system installation is necessary.

 

I would recommend checking your Message Log (Tools menu) to see if you are getting errors loading the plug-in libraries.

 

You can also check the Plug-Ins tab of the Session Explorer to see how many plug-ins are listed there.

I do not have the exact number offhand, but a vanilla installation of Opticks should have at least a couple of dozen entries.

If there are fewer than this, chances are that either Opticks was not built correctly or you are getting plug-in load errors.

 

What OS are you using?

 

 

From: Jay L. [mailto:[hidden email]]
Sent: Monday, March 25, 2013 7:24 PM
To: [hidden email]
Subject: [Opticks-users] Compile with GDAL support?

 

List, 

 

Running Opticks 4.10.x.  This was just installed onto a unit wide VM and compiled by IT.  I am not seeing the generic importer and am unable to read ENVI files (.hdr or .img).  Additionally, .vrt files are inaccessible.  Two questions:

 

1. What additional compile flags might be necessary to enable the generic importer?

2. Is this a result of GDAL not being installed outside of FWTools on the VM?  If so, what compile flags might be needed once a 'traditional' GDAL installation is completed?

 

Thanks, 

Jay   

This message and any enclosures are intended only for the addressee.  Please 

notify the sender by email if you are not the intended recipient.  If you are 

not the intended recipient, you may not use, copy, disclose, or distribute this 

message or its contents or enclosures to any other person and any such actions 

may be unlawful.  Ball reserves the right to monitor and review all messages 

and enclosures sent to or from this email address.

------------------------------------------------------------------------------
Own the Future-Intel&reg; Level Up Game Demo Contest 2013
Rise to greatness in Intel's independent game demo contest.
Compete for recognition, cash, and the chance to get your game
on Steam. $5K grand prize plus 10 genre and skill prizes.
Submit your demo by 6/6/13. http://p.sf.net/sfu/intel_levelupd2d
_______________________________________________
Opticks-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/opticks-users



------------------------------------------------------------------------------
Own the Future-Intel&reg; Level Up Game Demo Contest 2013
Rise to greatness in Intel's independent game demo contest.
Compete for recognition, cash, and the chance to get your game
on Steam. $5K grand prize plus 10 genre and skill prizes.
Submit your demo by 6/6/13. http://p.sf.net/sfu/intel_levelupd2d
_______________________________________________
Opticks-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/opticks-users
Loading...